<?xml version="1.0" encoding="UTF-8"?>
<ExtensionManifest Version="6.0" ExtensionBundleId="com.markusbergelt.geolayers3" ExtensionBundleVersion="1.7.0" ExtensionBundleName="GEOlayers 3" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<ExtensionList>
		<Extension Id="com.markusbergelt.geolayers3.main" Version="1.5" />
		<Extension Id="com.markusbergelt.geolayers3.help" Version="1.5" />
        
		<Extension Id="com.aescripts.geolayers3.about" Version="2.0.9" />
	</ExtensionList>
	<ExecutionEnvironment>
		<HostList>
            <Host Name="AEFT" Version="[13.6,24.9]" />
		</HostList>
		<LocaleList>
			<Locale Code="All" />
		</LocaleList>
		<RequiredRuntimeList>
			<RequiredRuntime Name="CSXS" Version="6.0" />
		</RequiredRuntimeList>
	</ExecutionEnvironment>
	<DispatchInfoList>
		<Extension Id="com.markusbergelt.geolayers3.main">
			<DispatchInfo >
				<Resources>
				    <MainPath>./main.html</MainPath>
				    <ScriptPath>./jsx/hostscript.jsxbin</ScriptPath>
                    <CEFCommandLine>
                        <Parameter>--enable-nodejs</Parameter>
                        <Parameter>--allow-file-access</Parameter>
                        <Parameter>--allow-file-access-from-files</Parameter>
                        <Parameter>--ignore-certificate-errors</Parameter>
                        <Parameter>--disable-gpu-program-cache</Parameter>
                        <Parameter>--disable-gpu-shader-disk-cache</Parameter>
                    </CEFCommandLine>
				</Resources>
				<Lifecycle>
					<AutoVisible>true</AutoVisible>
				</Lifecycle>
				<UI>
					<Type>Panel</Type>
					<Menu>GEOlayers 3</Menu>
					<Geometry>
						<Size>
							<Height>300</Height>
							<Width>360</Width>
						</Size>
                        <MinSize>
                            <Height>300</Height>
                            <Width>300</Width>
                        </MinSize>
                        <!--<MaxSize>
                            <Height>550</Height>
                            <Width>400</Width>
                        </MaxSize>-->
					</Geometry>
					<!--<Icons>
						<Icon Type="Normal">./icons/iconNormal.png</Icon>
						<Icon Type="RollOver">./icons/iconRollover.png</Icon>
						<Icon Type="Disabled">./icons/iconDisabled.png</Icon>
						<Icon Type="DarkNormal">./icons/iconDarkNormal.png</Icon>
						<Icon Type="DarkRollOver">./icons/iconDarkRollover.png</Icon>
					</Icons>-->
				</UI>
			</DispatchInfo>
		</Extension>
		<Extension Id="com.markusbergelt.geolayers3.help">
            <DispatchInfo>
                <Resources>
                    <MainPath>./help.html</MainPath>
                    <CEFCommandLine>
						<Parameter>--enable-nodejs</Parameter>
                        <Parameter>--allow-file-access</Parameter>
                        <Parameter>--allow-file-access-from-files</Parameter>
                        <Parameter>--ignore-certificate-errors</Parameter>
                    </CEFCommandLine>
                </Resources>
                <Lifecycle>
                    <AutoVisible>true</AutoVisible>
                </Lifecycle>
                <UI>
                    <Type>Panel</Type>
                    
                    <Geometry>
                        <Size>
                            <Height>600</Height>
                            <Width>800</Width>
                        </Size>
                        <MinSize>
                            <Height>600</Height>
                            <Width>800</Width>
                        </MinSize>
                        <MaxSize>
                            <Height>1000</Height>
                            <Width>1500</Width>
                        </MaxSize>
                    </Geometry>
                </UI>
            </DispatchInfo>
        </Extension>
        <Extension Id="com.markusbergelt.geolayers3.mapstyler">
			<DispatchInfo >
				<Resources>
				    <MainPath>./mapStyler.html</MainPath>
				    <CEFCommandLine>
                        <Parameter>--enable-nodejs</Parameter>
                        <Parameter>--allow-file-access</Parameter>
                        <Parameter>--allow-file-access-from-files</Parameter>
                        <Parameter>--ignore-certificate-errors</Parameter>
                        <Parameter>--disable-gpu-program-cache</Parameter>
                        <Parameter>--disable-gpu-shader-disk-cache</Parameter>
                    </CEFCommandLine>
				</Resources>
				<Lifecycle>
					<AutoVisible>true</AutoVisible>
				</Lifecycle>
				<UI>
					<Type>Panel</Type>
					<Menu>GEOlayers 3 MapStyler</Menu>
					<Geometry>
						<Size>
							<Height>300</Height>
							<Width>360</Width>
						</Size>
                        <MinSize>
                            <Height>300</Height>
                            <Width>300</Width>
                        </MinSize>
                        <!--<MaxSize>
                            <Height>550</Height>
                            <Width>400</Width>
                        </MaxSize>-->
					</Geometry>
					<!--<Icons>
						<Icon Type="Normal">./icons/iconNormal.png</Icon>
						<Icon Type="RollOver">./icons/iconRollover.png</Icon>
						<Icon Type="Disabled">./icons/iconDisabled.png</Icon>
						<Icon Type="DarkNormal">./icons/iconDarkNormal.png</Icon>
						<Icon Type="DarkRollOver">./icons/iconDarkRollover.png</Icon>
					</Icons>-->
				</UI>
			</DispatchInfo>
		</Extension>
		<Extension Id="com.aescripts.geolayers3.about">
			<DispatchInfo >
				<Resources>
					<MainPath>./dialog/dialog.html</MainPath>
					<CEFCommandLine>
						<Parameter>--enable-nodejs</Parameter>
						<Parameter>--allow-file-access-from-files</Parameter>
						<Parameter>--allow-file-access</Parameter>
					</CEFCommandLine>
				</Resources>
				<Lifecycle>
					<AutoVisible>true</AutoVisible>
				</Lifecycle>
				<UI>
					<Type>Modeless</Type>
					<Geometry>
						<Size>
							<Height>440</Height>
							<Width>350</Width>
						</Size>
						<MaxSize>
							<Height>500</Height>
							<Width>350</Width>
						</MaxSize>
						<MinSize>
							<Height>100</Height>
							<Width>350</Width>
						</MinSize>
					</Geometry>
				</UI>
			</DispatchInfo>
		</Extension>
	</DispatchInfoList>
</ExtensionManifest>
